eth_sendRawTransaction - zkSync
Example code for the eth_sendRawTransaction JSON-RPC method. Сomplete guide on how to use eth_sendRawTransaction JSON-RPC in GetBlock.io Web3 documentation.
Broadcasts a signed transaction to zkSync Era for execution. The primary method for submitting any state-changing operation. zkSync supports standard EIP-1559 (type 2) and EIP-712 (type 113, for advanced features like paymasters).
Parameters
signedTxData
string
Yes
The signed transaction data (hex), produced offline by a signer such as zksync-ethers, ethers.js, or viem
Request Example
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"method": "eth_sendRawTransaction",
"params": [
"0x02f86c8201448504a817c80082520894d85498dbeaeb1df24be52eed4f52eac2fbd56245880de0b6b3a76400008025a04f3a1c..."
],
"id": "getblock.io"
}'import axios from 'axios';
const data = JSON.stringify({
"jsonrpc": "2.0",
"method": "eth_sendRawTransaction",
"params": [
"0x02f86c8201448504a817c80082520894d85498dbeaeb1df24be52eed4f52eac2fbd56245880de0b6b3a76400008025a04f3a1c..."
],
"id": "getblock.io"
});
const config = {
method: 'post',
url: 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/',
headers: {
'Content-Type': 'application/json'
},
data: data
};
axios(config)
.then(response => console.log(JSON.stringify(response.data, null, 2)))
.catch(error => console.log(error));Response Example
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": "0x22de7debaa98758afdaee89f447ff43bab5da3de6acca7528b281cc2f1be2ee9"
}Response Parameters
result
string
Transaction hash, used to track inclusion via eth_getTransactionReceipt
Use Cases
Send ETH transfers on L2
Execute ERC-20 token transfers
Interact with DeFi protocols on zkSync Era
Deploy smart contracts
Submit EIP-712 transactions with paymaster sponsorship
Error Handling
403
Forbidden
Missing or invalid <ACCESS-TOKEN>
-32602
Invalid params
Request parameters are missing or malformed
429
Too Many Requests
Rate limit exceeded for your plan
-32000
Insufficient funds for gas
Sender does not have enough ETH to pay gas + value (unless using a paymaster)
-32000
Nonce too low
Transaction's nonce has already been used
-32000
Replacement transaction underpriced
Replacement transaction must offer a higher gas price
SDK Integration
Last updated
Was this helpful?